version: "3"
services:
  web:
    image: nginx:alpine
    networks:
      - proxy
    container_name: simple-web
    ports:
      - "4000:4000"
    volumes:
      - /home/pi/ibkr/drive_files:/usr/share/nginx/html:ro
    command: >
      sh -c "echo 'server {
        listen 4000;
        server_name _;
        root /usr/share/nginx/html;
        index index.html;
        location / {
          autoindex on;
          autoindex_exact_size on;
          autoindex_localtime on;
        }
      }' > /etc/nginx/conf.d/default.conf
      && nginx -g 'daemon off;'"
